API ReferenceRegistry APITasks
List tasks
AuthorizationBearer <token>
In: header
Scope: agp.registry.read, agp.registry.write
Query Parameters
principal_id?string
status?string
limit?integer
cursor?string
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/agp/tasks"{ "items": [ { "task_id": "string", "principal_id": "string", "requested_outcome": "string", "risk_tier": "low", "created_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "sponsoring_entity": "string", "status": "CREATED", "liability_binding_ref": "string", "capability_token_ref": "string", "governance_requirements": { "required_roles": [ "executive" ], "quorum": 1 } } ], "page": { "next_cursor": "string", "has_more": true }}{ "error": { "code": "AGP_INVALID_REQUEST", "message": "string", "retryable": true, "details": {} }}{ "error": { "code": "AGP_INVALID_REQUEST", "message": "string", "retryable": true, "details": {} }}